### Function

# Gimp pattern_get_info

since: 2.2

#### Declaration [src]

    gboolean
    gimp_pattern_get_info (
      const gchar* name,
      gint* width,
      gint* height,
      gint* bpp
    )

#### Description [src]

Retrieve information about the specified pattern.

This procedure retrieves information about the specified pattern. This includes the pattern extents (width and height).

Available since: 2.2

#### Parameters

`name`

  Type: `const gchar*`

  The pattern name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`width`

  Type: `gint*`

  The pattern width.

  The argument will be set by the function.

`height`

  Type: `gint*`

  The pattern height.

  The argument will be set by the function.

`bpp`

  Type: `gint*`

  The pattern bpp.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

TRUE on success.